Fetch a Routing Number
curl --request GET \
--url https://api.treasuryprime.com/routing_number/{routing_number} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/routing_number/{routing_number}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/routing_number/{routing_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ach": true,
"bank_name": "FEDERAL RESERVE BANK OF BOSTON",
"bank_short_name": "FRB-BOS",
"city": "BOSTON",
"created_at": "2021-11-12T18:48:27Z",
"routing_number": "011000015",
"state": "MA",
"updated_at": "2021-11-12T18:48:27Z",
"wire": true
}Routing Number
Fetch a Routing Number
GET
/
routing_number
/
{routing_number}
Fetch a Routing Number
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The routing number of the bank. Filterable.
Response
200 - application/json
The routing-number
Whether the routing number processes FedACH payments
The name of the bank
The short-form name of the bank
City
Timestamp of when this Routing Number object was added to Treasury Prime's records
The routing number of the bank. Filterable.
State
Timestamp of the last object update
Whether the routing number processes FedWire payments
Was this page helpful?